hamster-tools
------------

Manipulate [hamster-time-tracker](https://github.com/projecthamster/) data
from the command-line, including:

 - find duplicate activities
 - list, move and delete categories, activities and facts

Merging, renaming and otherwise tidying-up the database used to be possible, but
currently (as of version 2.0.0.16) doesn't work for me, so I wrote this script
to fill in the gap until the [shiny new version of
hamster](https://github.com/projecthamster/hamster-lib) is ready.

	$ pip install ..

	$ hamster-tools categories --help
		Usage: hamstertools categories [OPTIONS] COMMAND [ARGS]...

		Options:
			--help  Show this message and exit.

		Commands:
			activities  Show activities for categories specified by IDS
			delete      Delete categories specified by IDS
			list        List / search categories

	$ hamster-tools activities 
		Usage: hamstertools activities [OPTIONS] COMMAND [ARGS]...

		Options:
			--help  Show this message and exit.

		Commands:
			delete           Delete activities specified by IDS
			find-duplicates  Show activities which are not unique in their categories
			list             List / search activities
			list-facts       Show facts for activities
			move             Move activities to another category
			move-facts       Move facts from one activity to another
